Voting resources, early voting, and poll worker information - VOTE. ... Adafruit is open and shipping.
0

Camera Viewfinder - 1.3" TFT and HQ Cam
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

Camera Viewfinder - 1.3" TFT and HQ Cam

by werksmini on Sun Sep 13, 2020 5:31 pm

Hi There,

I'm trying to force together the 1.3" TFT and the HQ Camera to allow me to use the TFT as a viewfinder. I was originally going to try and just use the software from the DIY WiFi Raspberry Pi Touchscreen Camera. After playing around, i'm starting to think this wont be possible. To retrace my steps.

-Setup Pi Zero W
-Install 1.3" TFT and run console
-Control via SSH from PC
-Install camera software -get error
PiTFT overlay not in /boot/config.txt.
Download & run adafruit-pitft.sh first.
Canceling.

I'm guessing that the software is looking for a specific type of TFT (ie: resistive touch 320x240 PiTFT displays).

If it is not possible to run the touchscreen software - does anyone know if there is a straightforward way to display the raspistill or python preview on this 1.3" tft?

Thanks!

When I start to run the install manually I get the following :

Code: Select all | TOGGLE FULL SIZE
pi@raspberrypi:~ $ # Enable Wheezy package sources
pi@raspberrypi:~ $ echo "deb http://archive.raspbian.org/raspbian wheezy main
> " > /etc/apt/sources.list.d/wheezy.list
-bash: /etc/apt/sources.list.d/wheezy.list: Permission denied
pi@raspberrypi:~ $
pi@raspberrypi:~ $ # Set stable as default package source (currently jessie)
pi@raspberrypi:~ $ echo "APT::Default-release \"stable\";
> " > /etc/apt/apt.conf.d/10defaultRelease
-bash: /etc/apt/apt.conf.d/10defaultRelease: Permission denied
pi@raspberrypi:~ $
pi@raspberrypi:~ $ # Set priority for libsdl from wheezy higher then the jessie package
pi@raspberrypi:~ $ echo "Package: libsdl1.2debian
> Pin: release n=jessie
> Pin-Priority: -10
> Package: libsdl1.2debian
> Pin: release n=wheezy
> Pin-Priority: 900
> " > /etc/apt/preferences.d/libsdl
-bash: /etc/apt/preferences.d/libsdl: Permission denied


as well as

Code: Select all | TOGGLE FULL SIZE
pi@raspberrypi:~ $ sudo apt-get update
Hit:1 http://archive.raspberrypi.org/debian buster InReleaseging
Hit:2 http://raspbian.raspberrypi.org/raspbian buster InRelease
Reading package lists... Done
pi@raspberrypi:~ $ sudo apt-get -y --force-yes install python-picamera python-pygame python-imaging
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package python-imaging is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  python-pil

W: --force-yes is deprecated, use one of the options starting with --allow instead.
E: Package 'python-imaging' has no installation candidate


and finally

Code: Select all | TOGGLE FULL SIZE
pi@raspberrypi:~ $ apt-get -y --force-yes install libsdl1.2debian/wheezy
W: --force-yes is deprecated, use one of the options starting with --allow instead.
E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

werksmini
 
Posts: 6
Joined: Mon Apr 04, 2016 1:13 pm

Please be positive and constructive with your questions and comments.


cron